> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://help.sigmacomputing.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://help.sigmacomputing.com/_mcp/server.

# Grant permissions on a dataset (Deprecated)

POST https://api.sigmacomputing.com/v2/datasets/{datasetId}/grants
Content-Type: application/json

Grant permissions to a specific dataset for users or teams.

  **Deprecation notice**: [Datasets](/docs/datasets) are deprecated. Starting June 2, 2026, you will no longer be able to create datasets or edit existing datasets. Migrate your datasets to data models and update any documents that use datasets as a data source to use a different source. See [Migrate a dataset to a data model](/docs/migrate-a-dataset-to-a-data-model).

  ### Usage notes
  - Retrieve the **datasetId** by calling the [/v2/datasets](https://help.sigmacomputing.com/reference/list-datasets) endpoint.
  - Grant permissions to one user or team at a time using the relevant IDs:

    - Retrieve the **memberId** by calling the [/v2/members](https://help.sigmacomputing.com/reference/list-members) endpoint.
    - Retrieve the **teamId** by calling the [/v2/teams](https://help.sigmacomputing.com/reference/list-teams) endpoint.
    

Reference: https://help.sigmacomputing.com/reference/create-dataset-grant

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: sigma-rest-api
  version: 1.0.0
paths:
  /v2/datasets/{datasetId}/grants:
    post:
      operationId: createDatasetGrant
      summary: Grant permissions on a dataset (Deprecated)
      description: |-
        Grant permissions to a specific dataset for users or teams.

          **Deprecation notice**: [Datasets](/docs/datasets) are deprecated. Starting June 2, 2026, you will no longer be able to create datasets or edit existing datasets. Migrate your datasets to data models and update any documents that use datasets as a data source to use a different source. See [Migrate a dataset to a data model](/docs/migrate-a-dataset-to-a-data-model).

          ### Usage notes
          - Retrieve the **datasetId** by calling the [/v2/datasets](https://help.sigmacomputing.com/reference/list-datasets) endpoint.
          - Grant permissions to one user or team at a time using the relevant IDs:

            - Retrieve the **memberId** by calling the [/v2/members](https://help.sigmacomputing.com/reference/list-members) endpoint.
            - Retrieve the **teamId** by calling the [/v2/teams](https://help.sigmacomputing.com/reference/list-teams) endpoint.
            
      tags:
        - Datasets
      parameters:
        - name: datasetId
          in: path
          required: true
          schema:
            type: string
        - name: Authorization
          in: header
          description: OAuth authentication
          required: true
          schema:
            type: string
      responses:
        '200':
          description: The response body.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/datasets_createDatasetGrant_Response_200'
      requestBody:
        description: The request body.
        content:
          application/json:
            schema:
              type: object
              properties:
                grants:
                  type: array
                  items:
                    $ref: >-
                      #/components/schemas/V2DatasetsDatasetIdGrantsPostRequestBodyContentApplicationJsonSchemaGrantsItems
              required:
                - grants
servers:
  - url: https://api.sigmacomputing.com
    description: Server for GCP (US) hosted organizations
  - url: https://api.sa.gcp.sigmacomputing.com
    description: Server for GCP (KSA) hosted organizations
  - url: https://aws-api.sigmacomputing.com
    description: Server for AWS US (West) hosted organizations
  - url: https://api.us-a.aws.sigmacomputing.com
    description: Server for AWS US (East) hosted organizations
  - url: https://api.ca.aws.sigmacomputing.com
    description: Server for AWS Canada hosted organizations
  - url: https://api.eu.aws.sigmacomputing.com
    description: Server for AWS Europe hosted organizations
  - url: https://api.au.aws.sigmacomputing.com
    description: Server for AWS Australia and APAC hosted organizations
  - url: https://api.uk.aws.sigmacomputing.com
    description: Server for AWS UK hosted organizations
  - url: https://api.us.azure.sigmacomputing.com
    description: Server for Azure US hosted organizations
  - url: https://api.eu.azure.sigmacomputing.com
    description: Server for Azure Europe hosted organizations
  - url: https://api.ca.azure.sigmacomputing.com
    description: Server for Azure Canada hosted organizations
  - url: https://api.uk.azure.sigmacomputing.com
    description: Server for Azure United Kingdom hosted organizations
  - url: https://api.au.azure.sigmacomputing.com
    description: Server for Azure Australia hosted organizations
components:
  schemas:
    V2DatasetsDatasetIdGrantsPostRequestBodyContentApplicationJsonSchemaGrantsItemsGrantee0:
      type: object
      properties:
        memberId:
          type: string
      required:
        - memberId
      description: The UUID of the member receiving the grant
      title: >-
        V2DatasetsDatasetIdGrantsPostRequestBodyContentApplicationJsonSchemaGrantsItemsGrantee0
    V2DatasetsDatasetIdGrantsPostRequestBodyContentApplicationJsonSchemaGrantsItemsGrantee1:
      type: object
      properties:
        teamId:
          type: string
      required:
        - teamId
      description: The UUID of the team receiving the grant
      title: >-
        V2DatasetsDatasetIdGrantsPostRequestBodyContentApplicationJsonSchemaGrantsItemsGrantee1
    V2DatasetsDatasetIdGrantsPostRequestBodyContentApplicationJsonSchemaGrantsItemsGrantee:
      oneOf:
        - $ref: >-
            #/components/schemas/V2DatasetsDatasetIdGrantsPostRequestBodyContentApplicationJsonSchemaGrantsItemsGrantee0
        - $ref: >-
            #/components/schemas/V2DatasetsDatasetIdGrantsPostRequestBodyContentApplicationJsonSchemaGrantsItemsGrantee1
      title: >-
        V2DatasetsDatasetIdGrantsPostRequestBodyContentApplicationJsonSchemaGrantsItemsGrantee
    V2DatasetsDatasetIdGrantsPostRequestBodyContentApplicationJsonSchemaGrantsItemsPermission:
      type: string
      enum:
        - view
        - edit
      title: >-
        V2DatasetsDatasetIdGrantsPostRequestBodyContentApplicationJsonSchemaGrantsItemsPermission
    V2DatasetsDatasetIdGrantsPostRequestBodyContentApplicationJsonSchemaGrantsItems:
      type: object
      properties:
        grantee:
          $ref: >-
            #/components/schemas/V2DatasetsDatasetIdGrantsPostRequestBodyContentApplicationJsonSchemaGrantsItemsGrantee
        permission:
          $ref: >-
            #/components/schemas/V2DatasetsDatasetIdGrantsPostRequestBodyContentApplicationJsonSchemaGrantsItemsPermission
        tagId:
          type: string
      required:
        - grantee
        - permission
      title: >-
        V2DatasetsDatasetIdGrantsPostRequestBodyContentApplicationJsonSchemaGrantsItems
    datasets_createDatasetGrant_Response_200:
      type: object
      properties: {}
      title: datasets_createDatasetGrant_Response_200
  securitySchemes:
    OAuth:
      type: http
      scheme: bearer
      description: OAuth 2.0 authentication

```

## Examples



**Request**

```json
{
  "grants": [
    {
      "grantee": {
        "memberId": "a1b2c3d4-e5f6-7890-ab12-cd34ef567890"
      },
      "permission": "view"
    }
  ]
}
```

**Response**

```json
{}
```

**SDK Code**

```python
import requests

url = "https://api.sigmacomputing.com/v2/datasets/datasetId/grants"

payload = { "grants": [
        {
            "grantee": { "memberId": "a1b2c3d4-e5f6-7890-ab12-cd34ef567890" },
            "permission": "view"
        }
    ] }
headers = {
    "Authorization": "<token>.",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.sigmacomputing.com/v2/datasets/datasetId/grants';
const options = {
  method: 'POST',
  headers: {Authorization: '<token>.', 'Content-Type': 'application/json'},
  body: '{"grants":[{"grantee":{"memberId":"a1b2c3d4-e5f6-7890-ab12-cd34ef567890"},"permission":"view"}]}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.sigmacomputing.com/v2/datasets/datasetId/grants"

	payload := strings.NewReader("{\n  \"grants\": [\n    {\n      \"grantee\": {\n        \"memberId\": \"a1b2c3d4-e5f6-7890-ab12-cd34ef567890\"\n      },\n      \"permission\": \"view\"\n    }\n  ]\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Authorization", "<token>.")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.sigmacomputing.com/v2/datasets/datasetId/grants")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = '<token>.'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"grants\": [\n    {\n      \"grantee\": {\n        \"memberId\": \"a1b2c3d4-e5f6-7890-ab12-cd34ef567890\"\n      },\n      \"permission\": \"view\"\n    }\n  ]\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.sigmacomputing.com/v2/datasets/datasetId/grants")
  .header("Authorization", "<token>.")
  .header("Content-Type", "application/json")
  .body("{\n  \"grants\": [\n    {\n      \"grantee\": {\n        \"memberId\": \"a1b2c3d4-e5f6-7890-ab12-cd34ef567890\"\n      },\n      \"permission\": \"view\"\n    }\n  ]\n}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api.sigmacomputing.com/v2/datasets/datasetId/grants', [
  'body' => '{
  "grants": [
    {
      "grantee": {
        "memberId": "a1b2c3d4-e5f6-7890-ab12-cd34ef567890"
      },
      "permission": "view"
    }
  ]
}',
  'headers' => [
    'Authorization' => '<token>.',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.sigmacomputing.com/v2/datasets/datasetId/grants");
var request = new RestRequest(Method.POST);
request.AddHeader("Authorization", "<token>.");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"grants\": [\n    {\n      \"grantee\": {\n        \"memberId\": \"a1b2c3d4-e5f6-7890-ab12-cd34ef567890\"\n      },\n      \"permission\": \"view\"\n    }\n  ]\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "<token>.",
  "Content-Type": "application/json"
]
let parameters = ["grants": [
    [
      "grantee": ["memberId": "a1b2c3d4-e5f6-7890-ab12-cd34ef567890"],
      "permission": "view"
    ]
  ]] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.sigmacomputing.com/v2/datasets/datasetId/grants")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```